#ifndef INC_EEPROM_H_
#define INC_EEPROM_H_

#include "stm32f3xx_hal.h"

#include <stdint.h>
#include <main.h>
#include "AMS_HighLevel.h"
#include "errors.h"

__attribute__((packed)) typedef struct {
  uint8_t id;
} EEPROMConfig;

extern EEPROMConfig eeprom_config;

void eeprom_init(I2C_HandleTypeDef* hi2c);
void eeprom_config_save();
void eeprom_write_status();
void eeprom_read(int8_t* data);
void eeprom_write(uint8_t* data, uint8_t data_length);

#endif // INC_EEPROM_H_
